package idc.model;

import java.sql.Date;

public class IdcMemberDBDTO 
{
	private String id;
	private String pass;
	private String re_pass;
	private String num;
	private String name;
	private String rank;
	private String phone;
	private String location;
	private int power;
	private Date join_date;
	private String quick1;
	private String quick2;
	private String quick3;
	private String quick4;
	private String quick5;
	private String quick6;
	private String quick7;
	private String quick8;
	private String quick9;
	private String quick10;
	private String quick11;
	private String quick12;
	private String quick13;
	private String quick14;
	private String quick15;
	private String quick16;
	private String quick17;
	private String quick18;
	private String quick19;
	private String quick20;
	private String quick21;
	private String quick22;
	private String quick23;
	private String quick24;
	private String quick25;
	private String schedule;
	private String ongoing;
	private String note;
	
	private String[] getPower;
	private String power1;
	private String power2;
	private String power3;
	private String power4;
	private String power5;
	private String power6;
	private String power7;
	private String power8;
	private String power9;
	private String power10;	
	private String part;	

	public IdcMemberDBDTO()
	{
		getPower =new String[10];
	}
	
	public String[] getGetPower()
	{
		return getPower;
	}

	public void setGetPower(String[] getPower)
	{
		this.getPower = getPower;
	}

	public String getPower1()
	{
		return power1;
	}
	public void setPower1(String power1)
	{
		getPower[0] = this.power1 = power1;
	}
	public String getPower2()
	{
		return power2;
	}
	public void setPower2(String power2)
	{
		getPower[1] = this.power2 = power2;
	}
	public String getPower3()
	{
		return power3;
	}
	public void setPower3(String power3)
	{
		getPower[2] = this.power3 = power3;
	}
	public String getPower4()
	{
		return power4;
	}
	public void setPower4(String power4)
	{
		getPower[3] = this.power4 = power4;
	}
	public String getPower5()
	{
		return power5;
	}
	public void setPower5(String power5)
	{
		getPower[4] = this.power5 = power5;
	}
	public String getPower6()
	{
		return power6;
	}
	public void setPower6(String power6)
	{
		getPower[5] = this.power6 = power6;
	}
	public String getPower7()
	{
		return power7;
	}
	public void setPower7(String power7)
	{
		getPower[6] = this.power7 = power7;
	}
	public String getPower8()
	{
		return power8;
	}
	public void setPower8(String power8)
	{
		getPower[7] = this.power8 = power8;
	}
	public String getPower9()
	{
		return power9;
	}
	public void setPower9(String power9)
	{
		getPower[8] = this.power9 = power9;
	}
	public String getPower10()
	{
		return power10;
	}
	public void setPower10(String power10)
	{
		getPower[9] = this.power10 = power10;
	}
	public void passDel()
	{
		pass=re_pass=null;
	}
	public void print()
	{
		System.out.println(id);
		System.out.println(pass);
		System.out.println(re_pass);
		System.out.println(num);
		System.out.println(name);
		System.out.println(rank);
		System.out.println(phone);
		System.out.println(location);
		System.out.println(power);
		System.out.println(quick1);
		System.out.println(schedule);
		System.out.println(ongoing);
		System.out.println(note);
	}
	public String getQuick1() {
		return quick1;
	}
	public void setQuick1(String quick1) {
		this.quick1 = quick1;
	}
	public String getQuick2() {
		return quick2;
	}
	public void setQuick2(String quick2) {
		this.quick2 = quick2;
	}
	public String getQuick3() {
		return quick3;
	}
	public void setQuick3(String quick3) {
		this.quick3 = quick3;
	}
	public String getQuick4() {
		return quick4;
	}
	public void setQuick4(String quick4) {
		this.quick4 = quick4;
	}
	public String getQuick5() {
		return quick5;
	}
	public void setQuick5(String quick5) {
		this.quick5 = quick5;
	}
	public String getQuick6() {
		return quick6;
	}
	public void setQuick6(String quick6) {
		this.quick6 = quick6;
	}
	public String getQuick7() {
		return quick7;
	}
	public void setQuick7(String quick7) {
		this.quick7 = quick7;
	}
	public String getQuick8() {
		return quick8;
	}
	public void setQuick8(String quick8) {
		this.quick8 = quick8;
	}
	public String getQuick9() {
		return quick9;
	}
	public void setQuick9(String quick9) {
		this.quick9 = quick9;
	}
	public String getQuick10() {
		return quick10;
	}
	public void setQuick10(String quick10) {
		this.quick10 = quick10;
	}	
	public String getQuick11() {
		return quick11;
	}
	public void setQuick11(String quick11) {
		this.quick11 = quick11;
	}		
	public String getQuick12() {
		return quick12;
	}
	public void setQuick12(String quick12) {
		this.quick12 = quick12;
	}		
	public String getQuick13() {
		return quick13;
	}
	public void setQuick13(String quick13) {
		this.quick13 = quick13;
	}	
	public String getQuick14() {
		return quick14;
	}
	public void setQuick14(String quick14) {
		this.quick14 = quick14;
	}	
	public String getQuick15() {
		return quick15;
	}
	public void setQuick15(String quick15) {
		this.quick15 = quick15;
	}	
	
	public String getQuick16() {
		return quick16;
	}
	public void setQuick16(String quick16) {
		this.quick16 = quick16;
	}	
	public String getQuick17() {
		return quick17;
	}
	public void setQuick17(String quick17) {
		this.quick17 = quick17;
	}	
	public String getQuick18() {
		return quick18;
	}
	public void setQuick18(String quick18) {
		this.quick18 = quick18;
	}	
	public String getQuick19() {
		return quick19;
	}
	public void setQuick19(String quick19) {
		this.quick19 = quick19;
	}	
	public String getQuick20() {
		return quick20;
	}
	public void setQuick20(String quick20) {
		this.quick20 = quick20;
	}
	public String getQuick21() {
		return quick21;
	}
	public void setQuick21(String quick21) {
		this.quick21 = quick21;
	}	
	public String getQuick22() {
		return quick22;
	}
	public void setQuick22(String quick22) {
		this.quick22 = quick22;
	}	
	public String getQuick23() {
		return quick23;
	}
	public void setQuick23(String quick23) {
		this.quick23 = quick23;
	}	
	public String getQuick24() {
		return quick24;
	}
	public void setQuick24(String quick24) {
		this.quick24 = quick24;
	}	
	public String getQuick25() {
		return quick25;
	}
	public void setQuick25(String quick25) {
		this.quick25 = quick25;
	}		
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getPass() {
		return pass;
	}
	public void setPass(String pass) {
		this.pass = pass;
	}
	public String getNum() {
		return num;
	}
	public void setNum(String num) {
		this.num = num;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getRank() {
		return rank;
	}
	public void setRank(String rank) {
		this.rank = rank;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getLocation() {
		return location;
	}
	public void setLocation(String location) {
		this.location = location;
	}
	public int getPower() {
		return power;
	}
	public void setPower(int power) {
		this.power = power;
	}
	public Date getJoin_date() {
		return join_date;
	}
	public void setJoin_date(Date join_date) {
		this.join_date = join_date;
	}
	public String getSchedule() {
		return schedule;
	}
	public void setSchedule(String schedule) {
		this.schedule = schedule;
	}
	public String getOngoing() {
		return ongoing;
	}
	public void setOngoing(String ongoing) {
		this.ongoing = ongoing;
	}
	public String getNote() {
		return note;
	}
	public void setNote(String note) {
		this.note = note;
	}
	public String getRe_pass() {
		return re_pass;
	}
	public void setRe_pass(String re_pass) {
		this.re_pass = re_pass;
	}

	public String getPart()
	{
		return part;
	}

	public void setPart(String part)
	{
		this.part = part;
	}
	
}
